test.h File Reference
`#include "config.h"`

Go to the source code of this file.

## Functions

int | init_suite_classes (void)
int | clean_suite_classes (void)
void | test_class_db_backend_handle (void)
void | test_class_db_backend (void)
void | test_class_db_clause (void)
void | test_class_db_clause_list (void)
void | test_class_db_configuration (void)
void | test_class_db_configuration_list (void)
void | test_class_db_connection (void)
void | test_class_db_join (void)
void | test_class_db_join_list (void)
void | test_class_db_object_field (void)
void | test_class_db_object_field_list (void)
void | test_class_db_object (void)
void | test_class_db_value_set (void)
void | test_class_db_result (void)
void | test_class_db_result_list (void)
void | test_class_db_value (void)
void | test_class_end (void)
int | init_suite_initialization (void)
int | clean_suite_initialization (void)
void | test_initialization_configuration (void)
void | test_initialization_connection (void)
int | init_suite_database_operations_mysql (void)
int | clean_suite_database_operations (void)
void | test_database_operations_read_object1 (void)
void | test_database_operations_create_object2 (void)
void | test_database_operations_read_object2 (void)
void | test_database_operations_update_object2 (void)
void | test_database_operations_delete_object2 (void)
void | test_database_operations_create_object3 (void)
void | test_database_operations_delete_object3 (void)
void | test_database_operations_read_all (void)
void | test_database_operations_count (void)
void | test_database_operations_read_object1_2 (void)
void | test_database_operations_create_object2_2 (void)
void | test_database_operations_read_object2_2 (void)
void | test_database_operations_update_object2_2 (void)
void | test_database_operations_delete_object2_2 (void)
void | test_database_operations_create_object3_2 (void)
void | test_database_operations_delete_object3_2 (void)
void | test_database_operations_update_objects_revisions (void)

## Function Documentation

## clean_suite_classes()

int clean_suite_classes | ( | void |  | ) |

extern

Definition at line 145 of file test_classes.c.

References db_backend_free(), db_backend_handle_free(), db_clause_free(), db_clause_list_free(), db_configuration_free(), db_configuration_list_free(), db_connection_free(), db_object_field_free(), db_object_field_list_free(), db_object_free(), db_result_free(), db_result_list_free(), db_value_free(), and db_value_set_free().

Referenced by main().

## clean_suite_database_operations()

int clean_suite_database_operations | ( | void |  | ) |

extern

Definition at line 988 of file test_database_operations.c.

References db_configuration_free(), db_configuration_list_free(), db_connection_free(), db_value_reset(), test2_free(), test_free(), and test_list_free().

Referenced by main().

## clean_suite_initialization()

int clean_suite_initialization | ( | void |  | ) |

extern

Definition at line 54 of file test_initialization.c.

References db_configuration_free(), db_configuration_list_free(), and db_connection_free().

Referenced by main().

## init_suite_classes()

int init_suite_classes | ( | void |  | ) |

extern

Definition at line 72 of file test_classes.c.

Referenced by main().

## init_suite_database_operations_mysql()

int init_suite_database_operations_mysql | ( | void |  | ) |

extern

Referenced by main().

## init_suite_initialization()

int init_suite_initialization | ( | void |  | ) |

extern

Definition at line 41 of file test_initialization.c.

Referenced by main().

## test_class_db_backend()

void test_class_db_backend | ( | void |  | ) |

extern

Definition at line 296 of file test_classes.c.

References db_backend_connect(), db_backend_count(), db_backend_create(), db_backend_delete(), db_backend_initialize(), db_backend_new(), db_backend_read(), db_backend_set_handle(), db_backend_set_name(), and db_backend_update().

Referenced by main().

## test_class_db_backend_handle()

void test_class_db_backend_handle | ( | void |  | ) |

extern

Definition at line 270 of file test_classes.c.

References __db_backend_handle_connect(), __db_backend_handle_count(), __db_backend_handle_create(), __db_backend_handle_delete(), __db_backend_handle_disconnect(), __db_backend_handle_free(), __db_backend_handle_initialize(), __db_backend_handle_read(), __db_backend_handle_shutdown(), __db_backend_handle_transaction_begin(), __db_backend_handle_transaction_commit(), __db_backend_handle_transaction_rollback(), __db_backend_handle_update(), db_backend_handle_connect(), db_backend_handle_count(), db_backend_handle_create(), db_backend_handle_delete(), db_backend_handle_new(), db_backend_handle_read(), db_backend_handle_set_connect(), db_backend_handle_set_count(), db_backend_handle_set_create(), db_backend_handle_set_data(), db_backend_handle_set_delete(), db_backend_handle_set_disconnect(), db_backend_handle_set_free(), db_backend_handle_set_initialize(), db_backend_handle_set_read(), db_backend_handle_set_shutdown(), db_backend_handle_set_transaction_begin(), db_backend_handle_set_transaction_commit(), db_backend_handle_set_transaction_rollback(), db_backend_handle_set_update(), and db_backend_handle_update().

Referenced by main().

## test_class_db_clause()

void test_class_db_clause | ( | void |  | ) |

extern

Definition at line 311 of file test_classes.c.

References db_clause_field(), db_clause_get_value(), db_clause_new(), db_clause_next(), db_clause_not_empty(), DB_CLAUSE_NOT_EQUAL, db_clause_operator(), DB_CLAUSE_OPERATOR_OR, db_clause_set_field(), db_clause_set_operator(), db_clause_set_type(), db_clause_type(), db_clause_value(), and db_value_from_int32().

Referenced by main().

## test_class_db_clause_list()

void test_class_db_clause_list | ( | void |  | ) |

extern

Definition at line 329 of file test_classes.c.

References db_clause_list_add(), db_clause_list_begin(), db_clause_list_free(), and db_clause_list_new().

Referenced by main().

## test_class_db_configuration()

void test_class_db_configuration | ( | void |  | ) |

extern

Definition at line 346 of file test_classes.c.

References db_configuration_new(), db_configuration_not_empty(), db_configuration_set_name(), db_configuration_set_value(), and db_configuration_value().

Referenced by main().

## test_class_db_configuration_list()

void test_class_db_configuration_list | ( | void |  | ) |

extern

Definition at line 362 of file test_classes.c.

References db_configuration_list_add(), db_configuration_list_find(), db_configuration_list_free(), and db_configuration_list_new().

Referenced by main().

## test_class_db_connection()

void test_class_db_connection | ( | void |  | ) |

extern

Definition at line 382 of file test_classes.c.

References db_connection_connect(), db_connection_count(), db_connection_create(), db_connection_delete(), db_connection_new(), db_connection_read(), db_connection_set_configuration_list(), db_connection_setup(), and db_connection_update().

Referenced by main().

## test_class_db_join()

void test_class_db_join | ( | void |  | ) |

extern

## test_class_db_join_list()

void test_class_db_join_list | ( | void |  | ) |

extern

## test_class_db_object()

void test_class_db_object | ( | void |  | ) |

extern

Definition at line 434 of file test_classes.c.

References db_object_connection(), db_object_count(), db_object_create(), db_object_delete(), db_object_free(), db_object_new(), db_object_object_field_list(), db_object_read(), db_object_set_connection(), db_object_set_object_field_list(), db_object_set_primary_key_name(), db_object_set_table(), db_object_table(), and db_object_update().

Referenced by main().

## test_class_db_object_field()

void test_class_db_object_field | ( | void |  | ) |

extern

Definition at line 399 of file test_classes.c.

References db_object_field_name(), db_object_field_new(), db_object_field_not_empty(), db_object_field_set_enum_set(), db_object_field_set_name(), db_object_field_set_type(), db_object_field_type(), DB_TYPE_ENUM, and DB_TYPE_INT32.

Referenced by main().

## test_class_db_object_field_list()

void test_class_db_object_field_list | ( | void |  | ) |

extern

Definition at line 418 of file test_classes.c.

References db_object_field_list_add(), db_object_field_list_begin(), db_object_field_list_new(), and db_object_field_next().

Referenced by main().

## test_class_db_result()

void test_class_db_result | ( | void |  | ) |

extern

Definition at line 489 of file test_classes.c.

References db_result_new(), db_result_not_empty(), db_result_set_value_set(), and db_result_value_set().

Referenced by main().

## test_class_db_result_list()

void test_class_db_result_list | ( | void |  | ) |

extern

Definition at line 538 of file test_classes.c.

References __db_result_list_next(), db_result_list_add(), db_result_list_begin(), db_result_list_free(), db_result_list_new(), db_result_list_next(), db_result_list_set_next(), and db_result_list_size().

Referenced by main().

## test_class_db_value()

void test_class_db_value | ( | void |  | ) |

extern

Definition at line 572 of file test_classes.c.

References DB_TYPE_ENUM, DB_TYPE_INT32, DB_TYPE_INT64, DB_TYPE_TEXT, DB_TYPE_UINT32, DB_TYPE_UINT64, db_value_cmp(), db_value_copy(), db_value_enum_value(), db_value_free(), db_value_from_enum_value(), db_value_from_int32(), db_value_from_int64(), db_value_from_text(), db_value_from_uint32(), db_value_from_uint64(), db_value_new(), db_value_not_empty(), db_value_reset(), db_value_set_primary_key(), db_value_text(), db_value_to_enum_value(), db_value_to_int32(), db_value_to_int64(), db_value_to_text(), db_value_to_uint32(), db_value_to_uint64(), and db_value_type().

Referenced by main().

## test_class_db_value_set()

void test_class_db_value_set | ( | void |  | ) |

extern

Definition at line 461 of file test_classes.c.

References db_value_set_at(), db_value_set_get(), db_value_set_new(), and db_value_set_size().

Referenced by main().

## test_class_end()

void test_class_end | ( | void |  | ) |

extern

Definition at line 705 of file test_classes.c.

References db_backend_free(), db_connection_free(), db_object_field_list_free(), db_result_free(), and db_value_set_free().

Referenced by main().

## test_database_operations_count()

void test_database_operations_count | ( | void |  | ) |

extern

Definition at line 1187 of file test_database_operations.c.

References test_count_by_id(), test_count_by_name(), test_free(), and test_new().

Referenced by main().

## test_database_operations_create_object2()

void test_database_operations_create_object2 | ( | void |  | ) |

extern

Definition at line 1059 of file test_database_operations.c.

References db_value_copy(), db_value_reset(), test_create(), test_free(), test_get_by_name(), test_id(), test_name(), test_new(), and test_set_name().

Referenced by main().

## test_database_operations_create_object2_2()

void test_database_operations_create_object2_2 | ( | void |  | ) |

extern

Definition at line 1210 of file test_database_operations.c.

References db_value_copy(), db_value_reset(), test2_create(), test2_free(), test2_get_by_name(), test2_id(), test2_name(), test2_new(), and test2_set_name().

Referenced by main().

## test_database_operations_create_object3()

void test_database_operations_create_object3 | ( | void |  | ) |

extern

Definition at line 1131 of file test_database_operations.c.

References db_value_copy(), db_value_reset(), test_create(), test_free(), test_get_by_name(), test_id(), test_name(), test_new(), and test_set_name().

Referenced by main().

## test_database_operations_create_object3_2()

void test_database_operations_create_object3_2 | ( | void |  | ) |

extern

Definition at line 1317 of file test_database_operations.c.

References db_value_copy(), db_value_reset(), test2_create(), test2_free(), test2_get_by_name(), test2_id(), test2_name(), test2_new(), and test2_set_name().

Referenced by main().

## test_database_operations_delete_object2()

void test_database_operations_delete_object2 | ( | void |  | ) |

extern

Definition at line 1114 of file test_database_operations.c.

References test_delete(), test_free(), test_get_by_id(), and test_new().

Referenced by main().

## test_database_operations_delete_object2_2()

void test_database_operations_delete_object2_2 | ( | void |  | ) |

extern

Definition at line 1300 of file test_database_operations.c.

References test2_delete(), test2_free(), test2_get_by_id(), and test2_new().

Referenced by main().

## test_database_operations_delete_object3()

void test_database_operations_delete_object3 | ( | void |  | ) |

extern

Definition at line 1152 of file test_database_operations.c.

References test_delete(), test_free(), test_get_by_id(), and test_new().

Referenced by main().

## test_database_operations_delete_object3_2()

void test_database_operations_delete_object3_2 | ( | void |  | ) |

extern

Definition at line 1338 of file test_database_operations.c.

References test2_delete(), test2_free(), test2_get_by_id(), and test2_new().

Referenced by main().

## test_database_operations_read_all()

void test_database_operations_read_all | ( | void |  | ) |

extern

Definition at line 1169 of file test_database_operations.c.

References test_list_begin(), test_list_free(), test_list_get(), test_list_new(), and test_list_next().

Referenced by main().

## test_database_operations_read_object1()

void test_database_operations_read_object1 | ( | void |  | ) |

extern

Definition at line 1047 of file test_database_operations.c.

References __check_id(), test_free(), test_get_by_name(), test_id(), test_name(), and test_new().

Referenced by main().

## test_database_operations_read_object1_2()

void test_database_operations_read_object1_2 | ( | void |  | ) |

extern

Definition at line 1198 of file test_database_operations.c.

References __check_id(), test2_free(), test2_get_by_name(), test2_id(), test2_name(), and test2_new().

Referenced by main().

## test_database_operations_read_object2()

void test_database_operations_read_object2 | ( | void |  | ) |

extern

Definition at line 1080 of file test_database_operations.c.

References db_value_cmp(), test_free(), test_get_by_id(), test_id(), test_name(), and test_new().

Referenced by main().

## test_database_operations_read_object2_2()

void test_database_operations_read_object2_2 | ( | void |  | ) |

extern

Definition at line 1231 of file test_database_operations.c.

References db_value_cmp(), test2_free(), test2_get_by_id(), test2_id(), test2_name(), and test2_new().

Referenced by main().

## test_database_operations_update_object2()

void test_database_operations_update_object2 | ( | void |  | ) |

extern

Definition at line 1094 of file test_database_operations.c.

References test_free(), test_get_by_id(), test_name(), test_new(), test_set_name(), and test_update().

Referenced by main().

## test_database_operations_update_object2_2()

void test_database_operations_update_object2_2 | ( | void |  | ) |

extern

Definition at line 1245 of file test_database_operations.c.

References test2_free(), test2_get_by_id(), test2_name(), test2_new(), test2_set_name(), and test2_update().

Referenced by main().

## test_database_operations_update_objects_revisions()

void test_database_operations_update_objects_revisions | ( | void |  | ) |

extern

Definition at line 1265 of file test_database_operations.c.

References test2_create(), test2_free(), test2_get_by_name(), test2_name(), test2_new(), test2_set_name(), and test2_update().

Referenced by main().

## test_initialization_configuration()

void test_initialization_configuration | ( | void |  | ) |

extern

Definition at line 64 of file test_initialization.c.

References db_configuration_list_add(), db_configuration_list_new(), db_configuration_new(), db_configuration_set_name(), and db_configuration_set_value().

Referenced by main().

## test_initialization_connection()

void test_initialization_connection | ( | void |  | ) |

extern

Definition at line 120 of file test_initialization.c.

References db_connection_connect(), db_connection_new(), db_connection_set_configuration_list(), and db_connection_setup().

Referenced by main().